
@echo off
                               
cls
echo.
echo.
echo.
echo.    The first run will capture hashes from the same directory and compare 
echo.    using the hashcmp program to see which records don't match.
echo.    Hashcmp will attempt to find the hash field with no help from you.
echo.
echo.    Because it is a batch file, a "seeded" item is placed in the directory 
echo.    after the first run to generate an intentional mismatch.
echo.
echo.    In real life these two runs would be conducted at different times to see
echo.    if any files had changed.
echo.
echo.    Open the batch file and replace the source directory with an actual one and
echo.    replace the output file with one of your choice.
echo.
echo.    Hit return to run the batch, or control C to exit
echo.
echo.
echo.    below are the stats for the first hash run
echo.
echo.
pause


hash -p . -f *.bat  -v -w 300 -d "|" -8830E -T3 -R -o .\HASH2_OUTPUT.TXT

rem      findrecl  .\HASH2_OUTPUT.TXT
rem  recl is 512
rem  hash is at: 310/311

echo.
echo.   now a suspect file is being added so that the hashcmp program will find a hit.
echo.   and then the hash program is run, and the hashcmp will compare the two outputs.
echo.
pause


rem:  now add another file to the directory just so we have a different number of files to hash
copy  hash1_run.bat  dummy.bat

hash -p . -f *.bat  -v -w 300 -d "|" -8830E -T3 -R -o .\HASH2A_OUTPUT.TXT

cls
echo.

hashcmp .\HASH2_OUTPUT.TXT .\HASH2A_OUTPUT.TXT -o .\hashcmp_dif.txt -x
echo.
echo.
echo.     Here is the mismatched item.
echo.
type    .\hashcmp_dif.txt



