hash -p unix -256 -v -o 256bit_hashes -w 255 -d "|"  -1 logfile -C CPU01


rem  -p unix  == top level path to start at. could be c:\
rem  -256     == run the 256 SHA
rem  -v       == do not put headers on the file
rem  -o filename  == choose an output file, use -O uppercase to append
rem  -w 255   == make pathname in output 255 characters,
rem  -d "|"   == delimit output record
rem  -1 logfilename   == create an accounting file to reference later
rem  -C  CPU01 == add comment before record to identify which computer is source

rem  check the output file, and make sure no alternate data streams were hashed
rem  as they sometimes corrupt the record length.




search 256bit_hashes junkout search.par




rem  search.par contains the "parameters" about the file to be searched
rem  in the above example, the total record length and blocksize is the 
rem  1st two lines.
rem  lines 3 and 4 are important, could from 0 and set the displacement 
rem  length of the 256 bit field.
rem  don't blink. this program kicks speed ass.


rem  SAMPLE search.par to go with above script
rem  482
rem  482
rem  305
rem  64
rem  95769AB74AB2C629CCCCBB13830A7CC888E7799F1661E50ED75392A48A65D095
rem  3BA97265EF60FB613D0C2BE603765553E028B4E18E1657F88DC89DB125753975
rem  add as many sha values as you want.

